"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpCommand = {
    name: 'help',
    description: 'Show help.',
    optionDefinitions: [
        {
            name: 'command',
            type: 'string',
            description: 'The name of the command you need help for.',
            defaultOption: true,
            multiple: 'on',
            isRequired: false
        }
    ],
    ignoreUnknownOptions: true,
    handle({ options, getUsage, ancestors }) {
        if (options.command) {
            /* eslint-disable no-console */
            console.log(getUsage({ commandPath: [...ancestors, ...options.command] }));
            /* eslint-enable no-console */
            return;
        }
        /* eslint-disable no-console */
        console.log(getUsage({ commandPath: ancestors }));
        /* eslint-enable no-console */
    }
};
exports.helpCommand = helpCommand;
