"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../errors");
const getCommandByPath_1 = require("../getCommandByPath");
const string_similarity_1 = __importDefault(require("string-similarity"));
const recommendCommand = function ({ rootCommand, commandPath }) {
    const goodPath = commandPath.slice(0, -1);
    const unrecognizedCommand = commandPath[commandPath.length - 1];
    const goodCommand = getCommandByPath_1.getCommandByPath({ rootCommand, commandPath: goodPath });
    if (goodCommand.subcommands === undefined) {
        throw new errors_1.errors.NoSuggestionAvailable();
    }
    const availableCommands = Object.keys(goodCommand.subcommands);
    const suggestion = string_similarity_1.default.findBestMatch(unrecognizedCommand, availableCommands);
    const recommendedCommand = suggestion.bestMatch.target;
    return recommendedCommand;
};
exports.recommendCommand = recommendCommand;
